/*
	QLAY - Sinclair QL emulator
	Copyright Jan Venema 1998
	PC Keys defines and functions
*/

#define SCODE_CBLOCKUP		103
#define SCODE_CBLOCKLEFT	105
#define SCODE_CBLOCKRIGHT	106
#define SCODE_CBLOCKDOWN	108

#define SCODE_INSERT		110
#define SCODE_HOME		102
#define SCODE_PGUP		104
#define SCODE_DELETE		111
#define SCODE_END		107
#define SCODE_PGDN		109

#define SCODE_KEYPAD0		82
#define SCODE_KEYPAD1		79
#define SCODE_KEYPAD2		80
#define SCODE_KEYPAD3		81
#define SCODE_KEYPAD4		75
#define SCODE_KEYPAD5		76
#define SCODE_KEYPAD6		77
#define SCODE_KEYPAD7		71
#define SCODE_KEYPAD8		72
#define SCODE_KEYPAD9		73
#define SCODE_KEYPADENTER	96
#define SCODE_KEYPADPLUS	78
#define SCODE_KEYPADMINUS	74
#define SCODE_KEYPADMUL		55
#define SCODE_KEYPADDIV		98
#define SCODE_KEYPADDOT		83

#define SCODE_Q			16
#define SCODE_W			17
#define SCODE_E			18
#define SCODE_R			19
#define SCODE_T			20
#define SCODE_Y			21
#define SCODE_U			22
#define SCODE_I			23
#define SCODE_O			24
#define SCODE_P			25

#define SCODE_A			30
#define SCODE_S			31
#define SCODE_D			32
#define SCODE_F			33
#define SCODE_G			34
#define SCODE_H			35
#define SCODE_J			36
#define SCODE_K			37
#define SCODE_L			38

#define SCODE_Z			44
#define SCODE_X			45
#define SCODE_C			46
#define SCODE_V			47
#define SCODE_B			48
#define SCODE_N			49
#define SCODE_M			50

#define SCODE_ESCAPE		1
#define SCODE_ENTER		28
#define SCODE_RCONTROL		97
#define SCODE_LCONTROL		29
#define SCODE_RALT		100
#define SCODE_LALT		56
#define SCODE_SPACE		57
#define SCODE_LSHIFT		42
#define SCODE_RSHIFT		54

#define SCODE_F1		59
#define SCODE_F2		60
#define SCODE_F3		61
#define SCODE_F4		62
#define SCODE_F5		63
#define SCODE_F6		64
#define SCODE_F7		65
#define SCODE_F8		66
#define SCODE_F9		67
#define SCODE_F10		68
#define SCODE_F11		87
#define SCODE_F12		88

#define SCODE_1 		2
#define SCODE_2 		3
#define SCODE_3 		4
#define SCODE_4 		5
#define SCODE_5 		6
#define SCODE_6 		7
#define SCODE_7 		8
#define SCODE_8 		9
#define SCODE_9 		10
#define SCODE_0 		11

#define SCODE_TAB		15

#define SCODE_BS		14

#define SCODE_LBRACKET		26
#define SCODE_RBRACKET		27
#define SCODE_COMMA		51
#define SCODE_PERIOD		52
#define SCODE_SLASH		53
#define SCODE_SEMICOLON		39
#define SCODE_GRAVE		40
#define SCODE_MINUS		12
#define SCODE_EQUAL		13
#define SCODE_SCROLLLOCK	70
#define SCODE_CAPSLOCK		58
#define SCODE_BACKQUOTE		41	/* tilde */

#define SCODE_BACKSLASH		43	/* ltgt */

#define SCODE_LWIN95		125
#define SCODE_RWIN95		126
#define SCODE_MWIN95		127

#define SCODE_PRTSCR		99
#define SCODE_BREAK		69

#define SCODE_NUMLOCK		119

#define	SCODE_84		84
#define	SCODE_85		85
#define	SCODE_86		86

#define	SCODE_89		89
/* till */
#define	SCODE_95		95

#define	SCODE_101		101

#define	SCODE_112		112
/* till */
#define	SCODE_118		118

#define	SCODE_120		120
/* till */
#define	SCODE_124		124
